
Katello - Bug #24210

Katello certs must be readable by foreman user

07/09/2018 02:04 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Installer   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ce

rts/pull/204

  

Description

This is a regression.  At some point group ownership of the certs changed from foreman to root.  Foreman's VNC console will not

work because the foreman user launches the websockify process.

Related issues:

Related to Katello - Bug #7558: Configure Foreman websockets to use Katello c... Closed 09/20/2014

Associated revisions

Revision 677a47e7 - 07/09/2018 03:00 PM - Stephen Benjamin 

fixes #24210 - certs group must be overridable (#204)

For Katello, we override the certs ownership so Foreman can read it.

This is required for WebVNC: the foreman user launches websockify

using the certificate.

History

#1 - 07/09/2018 02:04 PM - Stephen Benjamin

- Related to Bug #7558: Configure Foreman websockets to use Katello certs added

#2 - 07/09/2018 02:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Stephen Benjamin

- Pull request https://github.com/theforeman/puppet-certs/pull/204 added

#3 - 07/09/2018 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-certs|677a47e7d0b29ae354639b2985f0d3d55a0aacd0.

#4 - 07/18/2018 05:39 PM - Jonathon Turel

- Target version set to Katello 3.7.0

#5 - 07/18/2018 05:41 PM - Andrew Kofink

- Triaged changed from No to Yes
